Loading...
Searching...
No Matches
opencc::JiebaSegmentation Class Reference
Inheritance diagram for opencc::JiebaSegmentation:

## Public Member Functions

| JiebaSegmentation (const std::string &dictPath, const std::string &modelPath, const std::string &userDictPath="", const std::string &idfPath="", const std::string &stopWordsPath="")
SegmentsPtr | Segment (std::string_view text) const override
| Splits `text` into segments and returns them.
SegmentsPtr | Segment (const char *text) const
| Convenience overload for null-terminated C strings.
SegmentsPtr | Segment (const std::string &str) const
| Convenience overload for std::string.
Public Member Functions inherited from opencc::Segmentation
SegmentsPtr | Segment (const char *text) const
| Convenience overload for null-terminated C strings.
SegmentsPtr | Segment (const std::string &str) const
| Convenience overload for std::string.

## Member Function Documentation

## Segment()

SegmentsPtr JiebaSegmentation::Segment | ( | std::string_view | text | ) | const

override virtual

Splits `text` into segments and returns them.

This is the primary override point for subclasses.

Implements opencc::Segmentation.

The documentation for this class was generated from the following files:

- JiebaSegmentation.hpp
- JiebaSegmentation.cpp